Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 635542 - app-emulation/virtualbox-5.2.2: version bump
Summary: app-emulation/virtualbox-5.2.2: version bump
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal with 2 votes (vote)
Assignee: Lars Wendler (Polynomial-C)
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-10-26 22:41 UTC by Sven
Modified: 2017-12-19 21:37 UTC (History)
21 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Comment 1 Mads 2017-10-27 08:24:02 UTC
Asked about it on IRC, poly is waiting for 5.2.2 because the guest additions on linux guests have issues on 5.2.0 and 5.2.1.

https://www.virtualbox.org/ticket/17189
Comment 2 Sven 2017-10-27 10:03:39 UTC
They released fixed guest additions on their Downloads page:
https://www.virtualbox.org/wiki/Downloads
Comment 3 Lars Wendler (Polynomial-C) gentoo-dev 2017-11-06 10:04:16 UTC
(In reply to Sven from comment #2)
> They released fixed guest additions on their Downloads page:
> https://www.virtualbox.org/wiki/Downloads

We build the guest additions from source and thus have to wait for the next source release which will be 5.2.2 version.
Comment 4 Alex Barker 2017-11-23 21:27:12 UTC
Looks like 5.2 was released today: http://download.virtualbox.org/virtualbox/5.2.2/
Comment 5 Perfect Gentleman 2017-11-26 06:00:25 UTC
I'vs just bumped ebuild, and there is that error
------------------------------------------------
Config.kmk:177: *** You must update kBuild! Requires kBuild binaries 3074 or 
later, kmk says 0 (0.1.9998-r0).  Stop.
 * ERROR: app-emulation/virtualbox-5.2.2::pg_overlay failed (compile phase):
Comment 6 Alex Barker 2017-11-28 07:00:30 UTC
(In reply to Perfect Gentleman from comment #5)
> I'vs just bumped ebuild, and there is that error
> ------------------------------------------------
> Config.kmk:177: *** You must update kBuild! Requires kBuild binaries 3074 or 
> later, kmk says 0 (0.1.9998-r0).  Stop.
>  * ERROR: app-emulation/virtualbox-5.2.2::pg_overlay failed (compile phase):

Probably need to patch Config.kmk:

replace  VBOX_MIN_KMK_REVISION        := 3093
with     VBOX_MIN_KMK_REVISION        := 0
or something to that effect.
Comment 7 Ivan Iraci 2017-12-04 10:54:14 UTC
Same problem here.

Any news?
Comment 8 Mads 2017-12-04 13:30:00 UTC
I guess there's some build environment changes this time, with new kbuild build dependency and the need to define KERN_VER when building modules. It is possible to use pg's 5.2.2 ebuilds and then manually edit Config.kmk and then merge making the changes needed yourself. polynomial-c's create_vbox_modules_tarball.sh script creates the vbox-kernel-module-src-5.2.2.tar.xz just fine...
Comment 9 Perfect Gentleman 2017-12-04 15:05:02 UTC
ebuilds for 5.2.2 in pg_overlay
modules - https://ufile.io/i49ts
Comment 10 Perfect Gentleman 2017-12-04 15:09:24 UTC
(In reply to Perfect Gentleman from comment #9)
> ebuilds for 5.2.2 in pg_overlay
> modules - https://ufile.io/i49ts

sorry only for
app-emulation/virtualbox-5.2.2
app-emulation/virtualbox-additions-5.2.2
app-emulation/virtualbox-extpack-oracle-5.2.2.119230
app-emulation/virtualbox-modules-5.2.2
Comment 11 Alex Barker 2017-12-07 06:00:36 UTC
(In reply to Mads from comment #8)
> I guess there's some build environment changes this time, with new kbuild
> build dependency and the need to define KERN_VER when building modules. It
> is possible to use pg's 5.2.2 ebuilds and then manually edit Config.kmk and
> then merge making the changes needed yourself. polynomial-c's
> create_vbox_modules_tarball.sh script creates the
> vbox-kernel-module-src-5.2.2.tar.xz just fine...

So I tried patching the current ebuild and I got to the compile phase, however, the compile failed because KERN_DIR is specified but KERN_VER is not...  I have no idea where KERN_DIR comes from so I couldn't figure out how to append the flags.
Comment 12 Alex Barker 2017-12-07 06:00:47 UTC
(In reply to Mads from comment #8)
> I guess there's some build environment changes this time, with new kbuild
> build dependency and the need to define KERN_VER when building modules. It
> is possible to use pg's 5.2.2 ebuilds and then manually edit Config.kmk and
> then merge making the changes needed yourself. polynomial-c's
> create_vbox_modules_tarball.sh script creates the
> vbox-kernel-module-src-5.2.2.tar.xz just fine...

So I tried patching the current ebuild and I got to the compile phase, however, the compile failed because KERN_DIR is specified but KERN_VER is not...  I have no idea where KERN_DIR comes from so I couldn't figure out how to append the flags.
Comment 13 Perfect Gentleman 2017-12-07 06:12:11 UTC
(In reply to Alex Barker from comment #11)
> (In reply to Mads from comment #8)
> > I guess there's some build environment changes this time, with new kbuild
> > build dependency and the need to define KERN_VER when building modules. It
> > is possible to use pg's 5.2.2 ebuilds and then manually edit Config.kmk and
> > then merge making the changes needed yourself. polynomial-c's
> > create_vbox_modules_tarball.sh script creates the
> > vbox-kernel-module-src-5.2.2.tar.xz just fine...
> 
> So I tried patching the current ebuild and I got to the compile phase,
> however, the compile failed because KERN_DIR is specified but KERN_VER is
> not...  I have no idea where KERN_DIR comes from so I couldn't figure out
> how to append the flags.

haha
-----
~ $ qlist -Iv virtualb
app-emulation/virtualbox-5.2.2
app-emulation/virtualbox-additions-5.2.2
app-emulation/virtualbox-extpack-oracle-5.2.2.119230
app-emulation/virtualbox-modules-5.2.2
-----
Comment 14 Tomáš Mózes 2017-12-07 07:10:57 UTC
(In reply to Perfect Gentleman from comment #13)
> haha

Perhaps it would be better to try to push it to the main repo instead. Thank you.
Comment 15 Perfect Gentleman 2017-12-07 07:54:13 UTC
(In reply to Tomáš Mózes from comment #14)
> Perhaps it would be better to try to push it to the main repo instead. Thank
> you.
It won't work as VB-5.2.2 has issues with 3D with Linux guests
Comment 16 Alex Barker 2017-12-10 23:02:24 UTC
(In reply to Perfect Gentleman from comment #15)
> (In reply to Tomáš Mózes from comment #14)
> > Perhaps it would be better to try to push it to the main repo instead. Thank
> > you.
> It won't work as VB-5.2.2 has issues with 3D with Linux guests

Your ebuild seems to make less progress than mine does:

>>> Unpacking source...
>>> Source unpacked in /var/tmp/portage/app-emulation/virtualbox-modules-5.2.2/work
>>> Preparing source in /var/tmp/portage/app-emulation/virtualbox-modules-5.2.2/work ...
grep: *: No such file or directory
sed: no input files
>>> Source prepared.
>>> Configuring source in /var/tmp/portage/app-emulation/virtualbox-modules-5.2.2/work ...
>>> Source configured.
>>> Compiling source in /var/tmp/portage/app-emulation/virtualbox-modules-5.2.2/work ...
ln: failed to create symbolic link 'Module.symvers': File exists
 * Preparing vboxdrv module
make -j8 HOSTCC=x86_64-pc-linux-gnu-gcc CROSS_COMPILE=x86_64-pc-linux-gnu- 'LDFLAGS=-m elf_x86_64' KERN_DIR=/usr/src/linux O=/lib/modules/4.14.4-gentoo/build V=1 KBUILD_VERBOSE=1 all 
make: *** No rule to make target 'all'.  Stop.
Comment 17 Perfect Gentleman 2017-12-11 02:51:42 UTC
(In reply to Alex Barker from comment #16)

> > It won't work as VB-5.2.2 has issues with 3D with Linux guests
> 
> Your ebuild seems to make less progress than mine does:
What are you talking about? What progress?
Comment 18 Ivan Iraci 2017-12-12 09:30:04 UTC
This is going to be the most delayed update for virtualbox in gentoo ever. :)

What are the blockers for this update?

Thanks.
Comment 19 Lars Wendler (Polynomial-C) gentoo-dev 2017-12-12 10:54:58 UTC
(In reply to Ivan Iraci from comment #18)
> This is going to be the most delayed update for virtualbox in gentoo ever. :)
> 
> What are the blockers for this update?
> 
> Thanks.

The blocker is that I moved home in October and don't have internet in my new home until December 18th. Furthermore I had a surgery on my left knee and I'm still recovering from that which means that I still might not be able to fully work on Gentoo after December 18th.
I'm reall sorry for the long delay. I hope you guys can bear with me for a bit longer :)
Comment 20 Tomáš Mózes 2017-12-12 13:13:34 UTC
(In reply to Lars Wendler (Polynomial-C) from comment #19)
> The blocker is that I moved home in October and don't have internet in my
> new home until December 18th. Furthermore I had a surgery on my left knee
> and I'm still recovering from that which means that I still might not be
> able to fully work on Gentoo after December 18th.
> I'm reall sorry for the long delay. I hope you guys can bear with me for a
> bit longer :)

Of course man, have some free time for yourself :) Hope your knee recovers soon!
Comment 21 Ivan Iraci 2017-12-12 13:38:29 UTC
(In reply to Lars Wendler (Polynomial-C) from comment #19)

> > What are the blockers for this update?
> The blocker is that I moved home in October and don't have internet in my
> new home until December 18th. Furthermore I had a surgery on my left knee
> and I'm still recovering from that which means that I still might not be
> able to fully work on Gentoo after December 18th.
> I'm reall sorry for the long delay. I hope you guys can bear with me for a
> bit longer :)

Hey, I obviously meant _technical_ blockers, something that someone (not necessarily you: this is still free software!!!) has to fix in order to make Virtualbox 5.2.2 work in gentoo. :)

You have to fix your own left leg as your highest priority task! :D

Take your time.
Comment 22 Perfect Gentleman 2017-12-12 13:49:15 UTC
(In reply to Ivan Iraci from comment #21)
> Hey, I obviously meant _technical_ blockers, something that someone (not
> necessarily you: this is still free software!!!) has to fix in order to make
> Virtualbox 5.2.2 work in gentoo. :)
> 
> You have to fix your own left leg as your highest priority task! :D
> 
> Take your time.
Download modules from link given above, use ebuilds from pg_overlay, have fun
Comment 23 Ivan Iraci 2017-12-12 14:15:48 UTC
(In reply to Perfect Gentleman from comment #22)

> Download modules from link given above, use ebuilds from pg_overlay, have fun

Thank you!
Comment 24 Kamil Kopiec 2017-12-18 21:42:46 UTC
I am getting an error in the compile phase of virtualbox-5.2.2:
kmk: *** No rule to make target `/tmp/portage/app-emulation/virtualbox-5.2.2/work/VirtualBox-5.2.2/out/linux.amd64/release/obj/VMMR3LazyImp/VMMR3LazyLoad.asm', needed by `/tmp/portage/app-emulation/virtualbox-5.2.2/work/VirtualBox-5.2.2/out/linux.amd64/release/obj/VMMR3LazyImp/gen/VMMR3LazyLoad.o'.  Stop.

No one has mentioned it before, so I guess it is a trivial dependency, that I am missing. Does anyone has an idea what could it be?
Comment 25 jospezial 2017-12-18 22:22:28 UTC
(In reply to Alex Barker from comment #12)
> (In reply to Mads from comment #8)
> > I guess there's some build environment changes this time, with new kbuild
> > build dependency and the need to define KERN_VER when building modules. It
> > is possible to use pg's 5.2.2 ebuilds and then manually edit Config.kmk and
> > then merge making the changes needed yourself. polynomial-c's
> > create_vbox_modules_tarball.sh script creates the
> > vbox-kernel-module-src-5.2.2.tar.xz just fine...
> 
> So I tried patching the current ebuild and I got to the compile phase,
> however, the compile failed because KERN_DIR is specified but KERN_VER is
> not...  I have no idea where KERN_DIR comes from so I couldn't figure out
> how to append the flags.

diff --git a/app-emulation/virtualbox-modules/virtualbox-modules-5.2.2.ebuild b/app-emulation/virtualbox-modules/virtualbox-modules-5.2.2.ebuild
index 6600e4fb..daa7fa85 100644
--- a/app-emulation/virtualbox-modules/virtualbox-modules-5.2.2.ebuild
+++ b/app-emulation/virtualbox-modules/virtualbox-modules-5.2.2.ebuild
@@ -34,7 +34,7 @@ pkg_setup() {
 
        linux-mod_pkg_setup
 
-       BUILD_PARAMS="KERN_DIR=${KV_DIR} O=${KV_OUT_DIR} V=1 KBUILD_VERBOSE=1"
+       BUILD_PARAMS="KERN_DIR=${KV_OUT_DIR} V=1 KBUILD_VERBOSE=1"
 }
 
 src_prepare() {
Comment 26 jospezial 2017-12-18 22:25:31 UTC
/var/tmp/portage/app-emulation/virtualbox-modules-5.2.2/work/vboxdrv/r0drv/linux/timer-r0drv-linux.c: In function ‘VBoxHost_RTTimerCreateEx’:
/var/tmp/portage/app-emulation/virtualbox-modules-5.2.2/work/vboxdrv/r0drv/linux/timer-r0drv-linux.c:1588:13: error: implicit declaration of function ‘init_timer_pinned’; did you mean ‘init_timer_key’? [-Werror=implicit-function-declaration]
             init_timer_pinned(&pTimer->aSubTimers[iCpu].u.Std.LnxTimer);
             ^~~~~~~~~~~~~~~~~
             init_timer_key
/var/tmp/portage/app-emulation/virtualbox-modules-5.2.2/work/vboxdrv/r0drv/linux/timer-r0drv-linux.c:1592:52: error: ‘struct timer_list’ has no member named ‘data’
             pTimer->aSubTimers[iCpu].u.Std.LnxTimer.data        = (unsigned long)&pTimer->aSubTimers[iCpu];
                                                    ^
/var/tmp/portage/app-emulation/virtualbox-modules-5.2.2/work/vboxdrv/r0drv/linux/timer-r0drv-linux.c:1593:65: error: assignment from incompatible pointer type [-Werror=incompatible-pointer-types]
             pTimer->aSubTimers[iCpu].u.Std.LnxTimer.function    = rtTimerLinuxStdCallback;
                                                                 ^
cc1: some warnings being treated as errors
make[3]: *** [scripts/Makefile.build:310: /var/tmp/portage/app-emulation/virtualbox-modules-5.2.2/work/vboxdrv/r0drv/linux/timer-r0drv-linux.o] Error 1
make[3]: *** Waiting for unfinished jobs....
Comment 27 Larry the Git Cow gentoo-dev 2017-12-19 00:37:14 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9bf438961a97011568542025170bf7ff2154cf42

commit 9bf438961a97011568542025170bf7ff2154cf42
Author:     Lars Wendler <polynomial-c@gentoo.org>
AuthorDate: 2017-12-19 00:34:26 +0000
Commit:     Lars Wendler <polynomial-c@gentoo.org>
CommitDate: 2017-12-19 00:36:57 +0000

    virtualbox packages: Bump to version 5.2.2
    
    Closes: https://bugs.gentoo.org/635542
    Package-Manager: Portage-2.3.19, Repoman-2.3.6

 app-emulation/virtualbox-additions/Manifest        |   1 +
 .../virtualbox-additions-5.2.2.ebuild              |  35 ++
 app-emulation/virtualbox-bin/Manifest              |   4 +
 .../virtualbox-bin-5.2.2.119230.ebuild             | 287 +++++++++++++
 app-emulation/virtualbox-extpack-oracle/Manifest   |   1 +
 .../virtualbox-extpack-oracle-5.2.2.119230.ebuild  |  42 ++
 app-emulation/virtualbox-guest-additions/Manifest  |   1 +
 .../virtualbox-guest-additions-5.2.2.ebuild        | 228 ++++++++++
 app-emulation/virtualbox-modules/Manifest          |   1 +
 .../virtualbox-modules-5.2.2.ebuild                |  60 +++
 app-emulation/virtualbox/Manifest                  |   2 +
 app-emulation/virtualbox/virtualbox-5.2.2.ebuild   | 459 +++++++++++++++++++++
 12 files changed, 1121 insertions(+)
Comment 28 Tomáš Mózes 2017-12-19 05:19:00 UTC
Thank you Lars,hopefully your knee is ok now.
Comment 29 Kamil Kopiec 2017-12-19 21:37:55 UTC
Thanks Lars, your ebuild worked perfectly :)